Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Ramfile Class Reference

An in-memory buffer specifically designed for downloading files to memory. More...

List of all members.

## Public Member Functions
| Ramfile ()
| clear ()
| Empties the current buffer contents.
string | getData ()
| Returns the entire buffer contents as a string, regardless of the current data pointer.
unsigned int | getDataSize ()
| Returns the size of the entire buffer contents.
string | read (unsigned int length)
| Extracts and returns the indicated number of characters from the current data pointer, and advances the data pointer.
string | readline ()
| Assumes the stream represents a text file, and extracts one line up to and including the trailing newline character.
| seek (unsigned int pos)
| Moves the data pointer to the indicated byte position.
unsigned int | tell ()
| Returns the current data pointer position as a byte offset from the beginning of the stream.

## Detailed Description

An in-memory buffer specifically designed for downloading files to memory.

## Constructor & Destructor Documentation

Ramfile | ( |  | ) |

## Member Function Documentation

clear | ( |  | ) |

Empties the current buffer contents.

string getData | ( |  | ) |

Returns the entire buffer contents as a string, regardless of the current data pointer.

unsigned int getDataSize | ( |  | ) |

Returns the size of the entire buffer contents.

string read | ( | unsigned int | length | ) |

Extracts and returns the indicated number of characters from the current data pointer, and advances the data pointer.

If the data pointer exceeds the end of the buffer, returns empty string.

The interface here is intentionally designed to be similar to that for Python's file.read() function.

string readline | ( |  | ) |

Assumes the stream represents a text file, and extracts one line up to and including the trailing newline character.

Returns empty string when the end of file is reached.

The interface here is intentionally designed to be similar to that for Python's file.readline() function.

seek | ( | unsigned int | pos | ) |

Moves the data pointer to the indicated byte position.

It is not an error to move the pointer past the end of data.

unsigned int tell | ( |  | ) |

Returns the current data pointer position as a byte offset from the beginning of the stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties